Upstream information

CVE-2022-0996 at MITRE

Description

A vulnerability was found in the 389 Directory Server that allows expired passwords to access the database to cause improper authentication.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4
Vector AV:N/AC:L/Au:S/C:P/I:N/A:N
Access Vector Network
Access Complexity Low
Authentication Single
Confidentiality Impact Partial
Integrity Impact None
Availability Impact None
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 6.5 5.7
Vector CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:N/A:N CVSS:3.1/AV:N/AC:L/PR:L/UI:R/S:U/C:H/I:N/A:N
Attack Vector Network Network
Attack Complexity Low Low
Privileges Required Low Low
User Interaction None Required
Scope Unchanged Unchanged
Confidentiality Impact High High
Integrity Impact None None
Availability Impact None None
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1197345 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE CaaS Platform 4.0
  • 389-ds >= 1.4.2.16~git68.efa843752-150100.7.34.1
  • 389-ds-devel >= 1.4.2.16~git68.efa843752-150100.7.34.1
  • 389-ds-snmp >= 1.4.2.16~git68.efa843752-150100.7.34.1
  • lib389 >= 1.4.2.16~git68.efa843752-150100.7.34.1
  • libsvrcore0 >= 1.4.2.16~git68.efa843752-150100.7.34.1
Patchnames:
SUSE-SUSE-CAASP-4.0-2022-2163
SUSE Enterprise Storage 6
  • 389-ds >= 1.4.2.16~git68.efa843752-150100.7.34.1
  • 389-ds-devel >= 1.4.2.16~git68.efa843752-150100.7.34.1
  • 389-ds-snmp >= 1.4.2.16~git68.efa843752-150100.7.34.1
  • lib389 >= 1.4.2.16~git68.efa843752-150100.7.34.1
  • libsvrcore0 >= 1.4.2.16~git68.efa843752-150100.7.34.1
Patchnames:
SUSE-Storage-6-2022-2163
SUSE Enterprise Storage 7.1
SUSE Linux Enterprise High Performance Computing 15 SP3
SUSE Linux Enterprise Module for Server Applications 15 SP3
SUSE Linux Enterprise Server 15 SP3
SUSE Linux Enterprise Server for SAP Applications 15 SP3
SUSE Manager Proxy 4.2
SUSE Manager Retail Branch Server 4.2
SUSE Manager Server 4.2
  • 389-ds >= 1.4.4.19~git28.b12c72226-150300.3.12.1
  • 389-ds-devel >= 1.4.4.19~git28.b12c72226-150300.3.12.1
  • lib389 >= 1.4.4.19~git28.b12c72226-150300.3.12.1
  • libsvrcore0 >= 1.4.4.19~git28.b12c72226-150300.3.12.1
Patchnames:
SUSE-SLE-Module-Server-Applications-15-SP3-2022-1100
SUSE Enterprise Storage 7
  • 389-ds >= 1.4.3.29~git18.3fcd3b1bd-150200.3.24.1
  • 389-ds-devel >= 1.4.3.29~git18.3fcd3b1bd-150200.3.24.1
  • lib389 >= 1.4.3.29~git18.3fcd3b1bd-150200.3.24.1
  • libsvrcore0 >= 1.4.3.29~git18.3fcd3b1bd-150200.3.24.1
Patchnames:
SUSE-Storage-7-2022-1102
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS
  • 389-ds >= 1.4.2.16~git68.efa843752-150100.7.34.1
  • 389-ds-devel >= 1.4.2.16~git68.efa843752-150100.7.34.1
  • 389-ds-snmp >= 1.4.2.16~git68.efa843752-150100.7.34.1
  • lib389 >= 1.4.2.16~git68.efa843752-150100.7.34.1
  • libsvrcore0 >= 1.4.2.16~git68.efa843752-150100.7.34.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP1-ESPOS-2022-2163
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS
  • 389-ds >= 1.4.2.16~git68.efa843752-150100.7.34.1
  • 389-ds-devel >= 1.4.2.16~git68.efa843752-150100.7.34.1
  • 389-ds-snmp >= 1.4.2.16~git68.efa843752-150100.7.34.1
  • lib389 >= 1.4.2.16~git68.efa843752-150100.7.34.1
  • libsvrcore0 >= 1.4.2.16~git68.efa843752-150100.7.34.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP1-LTSS-2022-2163
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS
  • 389-ds >= 1.4.3.29~git18.3fcd3b1bd-150200.3.24.1
  • 389-ds-devel >= 1.4.3.29~git18.3fcd3b1bd-150200.3.24.1
  • lib389 >= 1.4.3.29~git18.3fcd3b1bd-150200.3.24.1
  • libsvrcore0 >= 1.4.3.29~git18.3fcd3b1bd-150200.3.24.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP2-ESPOS-2022-1102
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS
  • 389-ds >= 1.4.3.29~git18.3fcd3b1bd-150200.3.24.1
  • 389-ds-devel >= 1.4.3.29~git18.3fcd3b1bd-150200.3.24.1
  • lib389 >= 1.4.3.29~git18.3fcd3b1bd-150200.3.24.1
  • libsvrcore0 >= 1.4.3.29~git18.3fcd3b1bd-150200.3.24.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP2-LTSS-2022-1102
SUSE Linux Enterprise High Performance Computing 15 SP4
SUSE Linux Enterprise Module for Server Applications 15 SP4
SUSE Linux Enterprise Server 15 SP4
SUSE Linux Enterprise Server for SAP Applications 15 SP4
SUSE Manager Proxy 4.3
SUSE Manager Retail Branch Server 4.3
SUSE Manager Server 4.3
  • 389-ds >= 2.0.15~git17.498ec3e93-150400.1.3
  • 389-ds-devel >= 2.0.15~git17.498ec3e93-150400.1.3
  • lib389 >= 2.0.15~git17.498ec3e93-150400.1.3
  • libsvrcore0 >= 2.0.15~git17.498ec3e93-150400.1.3
Patchnames:
SUSE Linux Enterprise Module for Server Applications 15 SP4 GA 389-ds-2.0.15~git17.498ec3e93-150400.1.3
SUSE Linux Enterprise High Performance Computing 15-ESPOS
SUSE Linux Enterprise High Performance Computing 15-LTSS
  • 389-ds >= 1.4.0.31~git13.e5e55afa0-150000.4.24.1
  • 389-ds-devel >= 1.4.0.31~git13.e5e55afa0-150000.4.24.1
  • libsvrcore0 >= 1.4.0.31~git13.e5e55afa0-150000.4.24.1
Patchnames:
SUSE-SLE-Product-HPC-15-2022-1139
SUSE Linux Enterprise Real Time 15 SP2
  • 389-ds >= 1.4.3.29~git18.3fcd3b1bd-150200.3.24.1
  • 389-ds-devel >= 1.4.3.29~git18.3fcd3b1bd-150200.3.24.1
  • lib389 >= 1.4.3.29~git18.3fcd3b1bd-150200.3.24.1
  • libsvrcore0 >= 1.4.3.29~git18.3fcd3b1bd-150200.3.24.1
Patchnames:
SUSE-SLE-Product-RT-15-SP2-2022-1102
SUSE Linux Enterprise Server 15 SP1-BCL
  • 389-ds >= 1.4.2.16~git68.efa843752-150100.7.34.1
  • 389-ds-devel >= 1.4.2.16~git68.efa843752-150100.7.34.1
  • 389-ds-snmp >= 1.4.2.16~git68.efa843752-150100.7.34.1
  • lib389 >= 1.4.2.16~git68.efa843752-150100.7.34.1
  • libsvrcore0 >= 1.4.2.16~git68.efa843752-150100.7.34.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP1-BCL-2022-2163
SUSE Linux Enterprise Server 15 SP1-LTSS
  • 389-ds >= 1.4.2.16~git68.efa843752-150100.7.34.1
  • 389-ds-devel >= 1.4.2.16~git68.efa843752-150100.7.34.1
  • 389-ds-snmp >= 1.4.2.16~git68.efa843752-150100.7.34.1
  • lib389 >= 1.4.2.16~git68.efa843752-150100.7.34.1
  • libsvrcore0 >= 1.4.2.16~git68.efa843752-150100.7.34.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP1-LTSS-2022-2163
SUSE Linux Enterprise Server 15 SP2-BCL
  • 389-ds >= 1.4.3.29~git18.3fcd3b1bd-150200.3.24.1
  • 389-ds-devel >= 1.4.3.29~git18.3fcd3b1bd-150200.3.24.1
  • lib389 >= 1.4.3.29~git18.3fcd3b1bd-150200.3.24.1
  • libsvrcore0 >= 1.4.3.29~git18.3fcd3b1bd-150200.3.24.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP2-BCL-2022-1102
SUSE Linux Enterprise Server 15 SP2-LTSS
  • 389-ds >= 1.4.3.29~git18.3fcd3b1bd-150200.3.24.1
  • 389-ds-devel >= 1.4.3.29~git18.3fcd3b1bd-150200.3.24.1
  • lib389 >= 1.4.3.29~git18.3fcd3b1bd-150200.3.24.1
  • libsvrcore0 >= 1.4.3.29~git18.3fcd3b1bd-150200.3.24.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP2-LTSS-2022-1102
SUSE Linux Enterprise Server 15-LTSS
  • 389-ds >= 1.4.0.31~git13.e5e55afa0-150000.4.24.1
  • 389-ds-devel >= 1.4.0.31~git13.e5e55afa0-150000.4.24.1
  • libsvrcore0 >= 1.4.0.31~git13.e5e55afa0-150000.4.24.1
Patchnames:
SUSE-SLE-Product-SLES-15-2022-1139
SUSE Linux Enterprise Server for SAP Applications 15 SP1
  • 389-ds >= 1.4.2.16~git68.efa843752-150100.7.34.1
  • 389-ds-devel >= 1.4.2.16~git68.efa843752-150100.7.34.1
  • 389-ds-snmp >= 1.4.2.16~git68.efa843752-150100.7.34.1
  • lib389 >= 1.4.2.16~git68.efa843752-150100.7.34.1
  • libsvrcore0 >= 1.4.2.16~git68.efa843752-150100.7.34.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-SP1-2022-2163
SUSE Linux Enterprise Server for SAP Applications 15 SP2
  • 389-ds >= 1.4.3.29~git18.3fcd3b1bd-150200.3.24.1
  • 389-ds-devel >= 1.4.3.29~git18.3fcd3b1bd-150200.3.24.1
  • lib389 >= 1.4.3.29~git18.3fcd3b1bd-150200.3.24.1
  • libsvrcore0 >= 1.4.3.29~git18.3fcd3b1bd-150200.3.24.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-SP2-2022-1102
SUSE Linux Enterprise Server for SAP Applications 15
  • 389-ds >= 1.4.0.31~git13.e5e55afa0-150000.4.24.1
  • 389-ds-devel >= 1.4.0.31~git13.e5e55afa0-150000.4.24.1
  • libsvrcore0 >= 1.4.0.31~git13.e5e55afa0-150000.4.24.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-2022-1139
SUSE Manager Proxy 4.1
  • 389-ds >= 1.4.3.29~git18.3fcd3b1bd-150200.3.24.1
  • 389-ds-devel >= 1.4.3.29~git18.3fcd3b1bd-150200.3.24.1
  • lib389 >= 1.4.3.29~git18.3fcd3b1bd-150200.3.24.1
  • libsvrcore0 >= 1.4.3.29~git18.3fcd3b1bd-150200.3.24.1
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Proxy-4.1-2022-1102
SUSE Manager Retail Branch Server 4.1
  • 389-ds >= 1.4.3.29~git18.3fcd3b1bd-150200.3.24.1
  • 389-ds-devel >= 1.4.3.29~git18.3fcd3b1bd-150200.3.24.1
  • lib389 >= 1.4.3.29~git18.3fcd3b1bd-150200.3.24.1
  • libsvrcore0 >= 1.4.3.29~git18.3fcd3b1bd-150200.3.24.1
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Retail-Branch-Server-4.1-2022-1102
SUSE Manager Server 4.1
  • 389-ds >= 1.4.3.29~git18.3fcd3b1bd-150200.3.24.1
  • 389-ds-devel >= 1.4.3.29~git18.3fcd3b1bd-150200.3.24.1
  • lib389 >= 1.4.3.29~git18.3fcd3b1bd-150200.3.24.1
  • libsvrcore0 >= 1.4.3.29~git18.3fcd3b1bd-150200.3.24.1
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Server-4.1-2022-1102
openSUSE Leap 15.3
  • 389-ds >= 1.4.4.19~git28.b12c72226-150300.3.12.1
  • 389-ds-devel >= 1.4.4.19~git28.b12c72226-150300.3.12.1
  • 389-ds-snmp >= 1.4.4.19~git28.b12c72226-150300.3.12.1
  • lib389 >= 1.4.4.19~git28.b12c72226-150300.3.12.1
  • libsvrcore0 >= 1.4.4.19~git28.b12c72226-150300.3.12.1
Patchnames:
openSUSE-SLE-15.3-2022-1100
openSUSE Tumbleweed
  • 389-ds >= 2.0.14~git25.e6431d959-1.1
  • 389-ds-devel >= 2.0.14~git25.e6431d959-1.1
  • 389-ds-snmp >= 2.0.14~git25.e6431d959-1.1
  • lib389 >= 2.0.14~git25.e6431d959-1.1
  • libsvrcore0 >= 2.0.14~git25.e6431d959-1.1
Patchnames:
openSUSE Tumbleweed GA 389-ds-2.0.14~git25.e6431d959-1.1


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Enterprise Storage 7 389-ds Released
SUSE Enterprise Storage 7.1 389-ds Released
SUSE Linux Enterprise High Performance Computing 15 SP4 389-ds Already fixed
SUSE Linux Enterprise Module for Server Applications 15 SP4 389-ds Already fixed
SUSE Linux Enterprise Real Time 15 SP3 389-ds Affected
SUSE Linux Enterprise Server 15 SP4 389-ds Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 SP4 389-ds Already fixed
SUSE Manager Proxy 4.2 389-ds Released
SUSE Manager Proxy 4.3 389-ds Already fixed
SUSE Manager Retail Branch Server 4.2 389-ds Released
SUSE Manager Retail Branch Server 4.3 389-ds Already fixed
SUSE Manager Server 4.2 389-ds Released
SUSE Manager Server 4.3 389-ds Already fixed
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise High Performance Computing 15 389-ds Affected
SUSE Linux Enterprise High Performance Computing 15 SP1 389-ds Affected
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS 389-ds Released
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS 389-ds Released
SUSE Linux Enterprise High Performance Computing 15 SP2 389-ds Affected
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS 389-ds Released
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS 389-ds Released
SUSE Linux Enterprise High Performance Computing 15 SP3 389-ds Released
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS 389-ds Affected
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS 389-ds Affected
SUSE Linux Enterprise High Performance Computing 15-ESPOS 389-ds Released
SUSE Linux Enterprise High Performance Computing 15-LTSS 389-ds Released
SUSE Linux Enterprise Module for Server Applications 15 SP1 389-ds Affected
SUSE Linux Enterprise Module for Server Applications 15 SP2 389-ds Affected
SUSE Linux Enterprise Module for Server Applications 15 SP3 389-ds Released
SUSE Linux Enterprise Server 15 SP1 389-ds Affected
SUSE Linux Enterprise Server 15 SP1-LTSS 389-ds Released
SUSE Linux Enterprise Server 15 SP2 389-ds Affected
SUSE Linux Enterprise Server 15 SP2-LTSS 389-ds Released
SUSE Linux Enterprise Server 15 SP3 389-ds Released
SUSE Linux Enterprise Server 15 SP3-LTSS 389-ds Affected
SUSE Linux Enterprise Server 15-ESPOS 389-ds Released
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 389-ds Released
SUSE Linux Enterprise Server Business Critical Linux 15 SP2 389-ds Released
SUSE Linux Enterprise Server for SAP Applications 15 389-ds Released
SUSE Linux Enterprise Server for SAP Applications 15 SP1 389-ds Released
SUSE Linux Enterprise Server for SAP Applications 15 SP2 389-ds Released
SUSE Linux Enterprise Server for SAP Applications 15 SP3 389-ds Released
Products past their end of life and not receiving proactive updates anymore.
SUSE CaaS Platform 4.0 389-ds Released
SUSE Enterprise Storage 6 389-ds Released
SUSE Linux Enterprise Module for Server Applications 15 389-ds Affected
SUSE Linux Enterprise Real Time 15 SP2 389-ds Released
SUSE Linux Enterprise Server 15 389-ds Affected
SUSE Linux Enterprise Server 15 SP1-BCL 389-ds Released
SUSE Linux Enterprise Server 15 SP2-BCL 389-ds Released
SUSE Linux Enterprise Server 15 SP3-BCL 389-ds Affected
SUSE Linux Enterprise Server 15-LTSS 389-ds Released
SUSE Manager Proxy 4.0 389-ds Affected
SUSE Manager Proxy 4.1 389-ds Released
SUSE Manager Retail Branch Server 4.0 389-ds Affected
SUSE Manager Retail Branch Server 4.1 389-ds Released
SUSE Manager Server 4.0 389-ds Affected
SUSE Manager Server 4.1 389-ds Released
Container Status
suse/389-ds 389-dsAlready fixed


SUSE Timeline for this CVE

CVE page created: Mon Mar 21 05:00:05 2022
CVE page last modified: Fri Jan 20 16:16:08 2023